summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/sbagen/sbagen.SlackBuild1
-rw-r--r--development/visual-studio-code/visual-studio-code.SlackBuild9
-rw-r--r--multimedia/tomahawk/tomahawk.SlackBuild18
-rw-r--r--network/copy/copy.SlackBuild5
-rw-r--r--network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild4
-rw-r--r--network/t38modem/t38modem.SlackBuild18
-rw-r--r--perl/perl-IPC-Run/perl-IPC-Run.SlackBuild5
-rw-r--r--perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild5
-rw-r--r--perl/perl-String-ShellQuote/perl-String-ShellQuote.SlackBuild5
-rw-r--r--perl/perl-Test-TCP/perl-Test-TCP.SlackBuild5
-rw-r--r--system/gnome-disk-utility/gnome-disk-utility.SlackBuild8
11 files changed, 24 insertions, 59 deletions
diff --git a/audio/sbagen/sbagen.SlackBuild b/audio/sbagen/sbagen.SlackBuild
index f6f7e1fac1..b6a9a9b6d1 100644
--- a/audio/sbagen/sbagen.SlackBuild
+++ b/audio/sbagen/sbagen.SlackBuild
@@ -33,7 +33,6 @@ DOCS="COPYING.txt ChangeLog.txt README.txt SBAGEN.txt TODO.txt focus.txt focus2.
NONFREE=${NONFREE:-no}
RIVERSOUNDS="sbagen-river-1.4.1.tgz"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486
diff --git a/development/visual-studio-code/visual-studio-code.SlackBuild b/development/visual-studio-code/visual-studio-code.SlackBuild
index 939165b2f1..f1ed3786c7 100644
--- a/development/visual-studio-code/visual-studio-code.SlackBuild
+++ b/development/visual-studio-code/visual-studio-code.SlackBuild
@@ -27,7 +27,6 @@ VERSION=${VERSION:-0.9.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -36,9 +35,9 @@ if [ -z "$ARCH" ]; then
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "x86_64" ]; then
PKGSUFFIX=64
@@ -46,7 +45,7 @@ else
PKGSUFFIX=32
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,7 +73,7 @@ mkdir -p "${PKG}/usr/share/applications"
install -m644 "${CWD}/${PRGNAM}.desktop" "${PKG}/usr/share/applications/${PRGNAM}.desktop"
# copy vscode icon
-mkdir -p "${PKG}/usr/share/icons"
+mkdir -p "${PKG}/usr/share/icons"
install -m644 "${PKG}/opt/${PRGNAM}-${VERSION}/resources/app/vso.png" \
"${PKG}/usr/share/icons/${PRGNAM}.png"
diff --git a/multimedia/tomahawk/tomahawk.SlackBuild b/multimedia/tomahawk/tomahawk.SlackBuild
index ed985a9937..20881db79f 100644
--- a/multimedia/tomahawk/tomahawk.SlackBuild
+++ b/multimedia/tomahawk/tomahawk.SlackBuild
@@ -22,25 +22,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=tomahawk
-VERSION=${VERSION:-0.8.4}
+PRGNAM=tomahawk
+VERSION=${VERSION:-0.8.4}
BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
-# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -56,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -87,9 +85,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS ChangeLog* LICENSE* PACKAGING* README* \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* LICENSE* PACKAGING* README* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/copy/copy.SlackBuild b/network/copy/copy.SlackBuild
index ebca147da0..9246f8f5cb 100644
--- a/network/copy/copy.SlackBuild
+++ b/network/copy/copy.SlackBuild
@@ -28,7 +28,6 @@ VERSION=${VERSION:-3.2.01.0481}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ] || [ -z "$SRCARCH" ]; then
case "$( uname -m )" in
i?86)
@@ -39,7 +38,6 @@ if [ -z "$ARCH" ] || [ -z "$SRCARCH" ]; then
ARCH=arm;
SRCARCH=armv6h;
;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*)
ARCH=$( uname -m );
SRCARCH=$( uname -m );
@@ -81,9 +79,6 @@ mkdir -pv $PKG/opt/$PRGNAM
mkdir -pv $PKG/usr/share/applications/
cp -a $SRCARCH/* $PKG/opt/$PRGNAM
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's usually acceptable if so, but if not,
-# use this:
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild b/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild
index b18d42109b..621b554b93 100644
--- a/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild
+++ b/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild
@@ -29,12 +29,10 @@ TAG=${TAG:-_SBo}
SRCNAM=plasma-nm
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
diff --git a/network/t38modem/t38modem.SlackBuild b/network/t38modem/t38modem.SlackBuild
index b473225267..b0690134e9 100644
--- a/network/t38modem/t38modem.SlackBuild
+++ b/network/t38modem/t38modem.SlackBuild
@@ -4,7 +4,7 @@
# Copyright 2015 Christopher Walker Copperas Cove, TX
# All rights reserved.
-#
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
@@ -27,12 +27,10 @@ VERSION=${VERSION:-2.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -67,16 +65,15 @@ tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
tar xvf $CWD/${PRGNAM}_${VERSION}-4.debian.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
#
# Apply patches
#
-#patch -p1 <$TMP/debian/patches/simplify-makefile-new
patch -p1 <$TMP/debian/patches/t38modem-opal3.10-patch
patch -p1 <$TMP/debian/patches/spelling-error-fix
patch -p1 <$TMP/debian/patches/opal-3.10.7.patch
@@ -96,7 +93,6 @@ install -o root -g root obj_linux_*_opal/t38modem $PKG/usr/bin
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Install documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/HylaFAX
cp -a \
$TMP/$PRGNAM-$VERSION/Changes.txt \
@@ -107,10 +103,8 @@ cp -a \
$PKG/usr/doc/$PRGNAM-$VERSION/HylaFAX
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy slack-desc to ./install
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Create package
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IPC-Run/perl-IPC-Run.SlackBuild b/perl/perl-IPC-Run/perl-IPC-Run.SlackBuild
index 6dbed4c189..a0d33977dd 100644
--- a/perl/perl-IPC-Run/perl-IPC-Run.SlackBuild
+++ b/perl/perl-IPC-Run/perl-IPC-Run.SlackBuild
@@ -32,12 +32,10 @@ TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
@@ -75,7 +73,6 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild b/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild
index b901395002..03e9109688 100644
--- a/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild
+++ b/perl/perl-Net-Patricia/perl-Net-Patricia.SlackBuild
@@ -32,12 +32,10 @@ TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
@@ -75,7 +73,6 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/perl/perl-String-ShellQuote/perl-String-ShellQuote.SlackBuild b/perl/perl-String-ShellQuote/perl-String-ShellQuote.SlackBuild
index cb45f55dab..1d01f36301 100644
--- a/perl/perl-String-ShellQuote/perl-String-ShellQuote.SlackBuild
+++ b/perl/perl-String-ShellQuote/perl-String-ShellQuote.SlackBuild
@@ -32,12 +32,10 @@ TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
@@ -75,7 +73,6 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/perl/perl-Test-TCP/perl-Test-TCP.SlackBuild b/perl/perl-Test-TCP/perl-Test-TCP.SlackBuild
index 64d05f07b7..00eb178db7 100644
--- a/perl/perl-Test-TCP/perl-Test-TCP.SlackBuild
+++ b/perl/perl-Test-TCP/perl-Test-TCP.SlackBuild
@@ -32,12 +32,10 @@ TAG=${TAG:-_SBo}
SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -61,7 +59,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
perl Makefile.PL \
PREFIX=/usr \
@@ -77,7 +75,6 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/system/gnome-disk-utility/gnome-disk-utility.SlackBuild b/system/gnome-disk-utility/gnome-disk-utility.SlackBuild
index 1ed20c7918..749e3b038c 100644
--- a/system/gnome-disk-utility/gnome-disk-utility.SlackBuild
+++ b/system/gnome-disk-utility/gnome-disk-utility.SlackBuild
@@ -27,12 +27,10 @@ VERSION=${VERSION:-3.6.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -59,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -97,9 +95,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install